Subject: bug#14093: configure for build problem

From: Mark H Weaver <[email-masked]>
Date: Sat, 30 Mar 2013 19:41:15 -0400

Hi,

"d.henman" <[email-masked]> writes:

> I'm not sure if this is a confgure script problem or not.  Please take a look at the related configure error message.
>
> $ configure
> ....
>
> checking for LIBFFI... configure: error: Package requirements (libffi) were not met:
>
> No package 'libffi' found
>
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
>
> Alternatively, you may set the environment variables LIBFFI_CFLAGS
> and LIBFFI_LIBS to avoid the need to call pkg-config.
> See the pkg-config man page for more details.
>
> #
> # However when I do:
>
> $ ls /bin/*ffi*
> /bin/cygffi-4.dll 
>
> This location is standard in my opion.
> it shows that the ffi library is installed.  This is a cygwin platform
> and library names by convention us 'cyg' as a filename prefix.  

A few questions:

* Do you have "ffi.h" on your system?  If so, where?
* Do you have "libffi.pc" on your system?  If so, where?
* Do you have the 'pkg-config' command installed?

I'm not very familiar with cygwin, so maybe someone else could help you
more efficiently, but if you have the 'pkg-config' command and can find
"libffi.pc", then it might be sufficient to do (before running
./configure):

  export PKG_CONFIG_PATH=/DIRECTORY_THAT_CONTAINS_LIBFFI_DOT_PC

Otherwise, as a fall-back plan: if you can find "ffi.h", then it might
be sufficient to do (before running ./configure):

  export LIBFFI_CFLAGS=-I/DIRECTORY_THAT_CONTAINS_FFI_DOT_H
  export LIBFFI_LIBS=-lffi

If you can't find "ffi.h", then you need to get it somehow.  I don't
know how it works in the cygwin world, but in most GNU/Linux
distributions, library packages are split into at least two parts: the
portion needed to run pre-built packages, and the "development" package
that includes things like *.h files.

If you don't have 'pkg-config', then you'll probably need to do
something similar with BDW_GC_CFLAGS and BDW_GC_LIBS.

Please let us know how this works out.

    Regards,
      Mark